SolrException (Solr 3.6.2 API)
Keywords: org.apache.solr.common.SolrException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common
Class SolrException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.solr.common.SolrException

All Implemented Interfaces:
  Serializable

    public class SolrException

extends RuntimeException

Version:
  $Id: SolrException.java 1303037 2012-03-20 17:40:40Z jdyer $
See Also:
  Serialized Form

Nested Class Summary
`static class` | `SolrException.ErrorCode`

Field Summary
`static Set<String>` | `ignorePatterns` For test code - do not log exceptions that match any of the regular expressions in ignorePatterns
`boolean` | `logged` Deprecated. Logging should now occur from the top-most level, making this unnecessary in 4.x

Constructor Summary
`SolrException(int code, String msg)` Deprecated. Use `SolrException(ErrorCode,String)`.
`SolrException(int code, String msg, boolean alreadyLogged)` Deprecated. Use `SolrException(ErrorCode,String,boolean)`.
`SolrException(int code, String msg, Throwable th)` Deprecated. Use `SolrException(ErrorCode,String,Throwable)`.
`SolrException(int code, String msg, Throwable th, boolean alreadyLogged)` Deprecated. Use `SolrException(ErrorCode,String,Throwable,boolean)`.
`SolrException(int code, Throwable th)` Deprecated. Use `SolrException(ErrorCode,Throwable)`.
`SolrException(SolrException.ErrorCode code, String msg)`
`SolrException(SolrException.ErrorCode code, String msg, boolean alreadyLogged)` Deprecated. Logging should now occur from the top-most level, making this unnecessary in 4.x. use `SolrException(ErrorCode, String)`
`SolrException(SolrException.ErrorCode code, String msg, Throwable th)`
`SolrException(SolrException.ErrorCode code, String msg, Throwable th, boolean alreadyLogged)` Deprecated. Logging should now occur from the top-most level, making this unnecessary in 4.x use `SolrException(ErrorCode, String, Throwable)`
`SolrException(SolrException.ErrorCode code, Throwable th)`

Method Summary
`int` | `code()`
`static String` | `doIgnore(String m)` Returns null if this exception does not match any ignore patterns, or a message string to use if it does.
`void` | `log(org.slf4j.Logger log)`
`static void` | `log(org.slf4j.Logger log, String msg, Throwable e)`
`static void` | `log(org.slf4j.Logger log, Throwable e)`
`static void` | `logOnce(org.slf4j.Logger log, String msg, Throwable e)` Deprecated. use `log(Logger, String, Throwable)`
`static String` | `toStr(Throwable e)`
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### logged

    @Deprecated
    public boolean logged

  Deprecated. Logging should now occur from the top-most level, making this unnecessary in 4.x

### ignorePatterns

    public static Set<String> ignorePatterns

  For test code - do not log exceptions that match any of the regular expressions in ignorePatterns

Constructor Detail

### SolrException

    public SolrException(SolrException.ErrorCode code,
                         String msg)

### SolrException

    @Deprecated
    public SolrException(SolrException.ErrorCode code,
                                    String msg,
                                    boolean alreadyLogged)

  Deprecated. Logging should now occur from the top-most level, making this unnecessary in 4.x. use `SolrException(ErrorCode, String)`

### SolrException

    @Deprecated
    public SolrException(SolrException.ErrorCode code,
                                    String msg,
                                    Throwable th,
                                    boolean alreadyLogged)

  Deprecated. Logging should now occur from the top-most level, making this unnecessary in 4.x use `SolrException(ErrorCode, String, Throwable)`

### SolrException

    public SolrException(SolrException.ErrorCode code,
                         String msg,
                         Throwable th)

### SolrException

    public SolrException(SolrException.ErrorCode code,
                         Throwable th)

### SolrException

    @Deprecated
    public SolrException(int code,
                                    String msg)

  Deprecated. Use `SolrException(ErrorCode,String)`.

### SolrException

    @Deprecated
    public SolrException(int code,
                                    String msg,
                                    boolean alreadyLogged)

  Deprecated. Use `SolrException(ErrorCode,String,boolean)`.

### SolrException

    @Deprecated
    public SolrException(int code,
                                    String msg,
                                    Throwable th,
                                    boolean alreadyLogged)

  Deprecated. Use `SolrException(ErrorCode,String,Throwable,boolean)`.

### SolrException

    @Deprecated
    public SolrException(int code,
                                    String msg,
                                    Throwable th)

  Deprecated. Use `SolrException(ErrorCode,String,Throwable)`.

### SolrException

    @Deprecated
    public SolrException(int code,
                                    Throwable th)

  Deprecated. Use `SolrException(ErrorCode,Throwable)`.

Method Detail

### code

    public int code()

### log

    public void log(org.slf4j.Logger log)

### log

    public static void log(org.slf4j.Logger log,
                           Throwable e)

### log

    public static void log(org.slf4j.Logger log,
                           String msg,
                           Throwable e)

### logOnce

    public static void logOnce(org.slf4j.Logger log,
                               String msg,
                               Throwable e)

  Deprecated. use `log(Logger, String, Throwable)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

### toStr

    public static String toStr(Throwable e)

### doIgnore

    public static String doIgnore(String m)

  Returns null if this exception does not match any ignore patterns, or a message string to use if it does.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD